Skip to main content
PATCH
/
v1
/
agents
/
{agentId}
Update Agent
curl --request PATCH \
  --url https://api.sigmamind.ai/v1/agents/{agentId} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "agentName": "Auralis",
  "instructions": "You are a helpful customer support assistant. Answer concisely and professionally.",
  "welcomeMessageType": "static",
  "welcomeMessage": "Welcome to our service! How can I assist you today?",
  "agentSettings": {
    "language": "en_US",
    "aiStartsConversation": true,
    "backgroundSound": "keyboard_typing",
    "interruptionSensitivity": 0.05,
    "globalPrompt": "You are a professional virtual assistant. Always respond politely and keep answers concise.",
    "endCallOnSilenceDuration": 30,
    "maxCallDuration": 40,
    "llmModel": "gpt-4o-mini",
    "voiceId": "elevenlabs_SGbOfpm28edC83pZ9iGb",
    "voiceModelId": "eleven_turbo_v2_5",
    "enablePostConversationInsights": true,
    "postConversationInsightsLlmModel": "gpt-4o-mini",
    "webhooks": [
      {
        "name": "My Webhook",
        "url": "https://example.com/webhook",
        "webhookId": "wh_BUbkx3PsbzQm5V10",
        "events": [
          "conversation_started"
        ],
        "active": false
      }
    ],
    "postConversationInsights": [
      {
        "insightName": "conversation summary",
        "analysisInstructions": "<string>",
        "dataType": "string",
        "options": [
          "Interested",
          "Not Interested",
          "Follow Up Later"
        ]
      }
    ]
  },
  "tools": [
    {
      "type": "voice_transfer_call",
      "transferTo": "+9187788XXXXX",
      "description": "<string>"
    }
  ]
}
'
{
  "agentId": "SPIlVscbB0kkXBvZ",
  "agentName": "Auralis",
  "instructions": "You are a helpful customer support assistant. Answer concisely and professionally.",
  "welcomeMessageType": "static",
  "welcomeMessage": "Welcome to our service! How can I assist you today?",
  "agentSettings": {
    "language": "en_US",
    "aiStartsConversation": true,
    "backgroundSound": "keyboard_typing",
    "interruptionSensitivity": 0.05,
    "globalPrompt": "You are a professional virtual assistant. Always respond politely and keep answers concise.",
    "endCallOnSilenceDuration": 30,
    "maxCallDuration": 40,
    "llmModel": "gpt-4o-mini",
    "voiceId": "elevenlabs_SGbOfpm28edC83pZ9iGb",
    "voiceModelId": "eleven_turbo_v2_5",
    "enablePostConversationInsights": true,
    "postConversationInsightsLlmModel": "gpt-4o-mini",
    "webhooks": [
      {
        "workspaceId": "org_BUbkx3PsbzQm5V10",
        "webhookId": "wh_BUbkx3PsbzQm5V10",
        "name": "Call Events - Production",
        "agentId": "D5D0p7TUs66TTAEAx",
        "active": true,
        "secret": "mK9vXq2pL8nR5tY1wA3sD6fH0jC4bE7u",
        "events": "conversation_started",
        "url": "<string>"
      }
    ],
    "postConversationInsights": [
      {
        "insightName": "conversation summary",
        "analysisInstructions": "<string>",
        "dataType": "string",
        "options": [
          "Interested",
          "Not Interested",
          "Follow Up Later"
        ]
      }
    ]
  },
  "tools": [
    {
      "type": "voice_transfer_call",
      "description": "<string>",
      "transferTo": "+9187788XXXXX",
      "transferSettings": {
        "transferType": "warm",
        "ringingDuration": 40,
        "waitForParticipantAnswer": true,
        "enableWhisperMessage": true,
        "whisperMessage": "<string>",
        "whisperMessageType": "static",
        "enableThreeWayMessage": true,
        "threeWayMessage": "<string>",
        "threeWayMessageType": "static",
        "customHeaders": {}
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.sigmamind.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Authenticate every request by passing your API key in the X-API-Key header. To get your key, go to Dashboard → API Keys and create or copy your Production API key.

Path Parameters

agentId
string
required

Unique identifier of the agent to update.

Body

application/json
agentName
string

The name of the agent.

Example:

"Auralis"

instructions
string

Instructional prompt provided to the agent to guide its behavior, tone, and task execution.

Example:

"You are a helpful customer support assistant. Answer concisely and professionally."

welcomeMessageType
enum<string>
default:static

Specifies whether the welcome message is a predefined static message or dynamically generated from a prompt.

Available options:
static,
prompt
Example:

"static"

welcomeMessage
string

The content of the welcome message. If 'welcomeMessageType' is 'static', this contains the exact message shown to the user. If it is 'prompt', this contains the prompt used to generate the welcome message dynamically.

Example:

"Welcome to our service! How can I assist you today?"

agentSettings
object
tools
object[]

Transfers the active voice call to another number

Response

OK

agentId
string

Id of the agent.

Example:

"SPIlVscbB0kkXBvZ"

agentName
string

The name of the agent.

Example:

"Auralis"

instructions
string

Instructional prompt provided to the agent to guide its behavior, tone, and task execution.

Example:

"You are a helpful customer support assistant. Answer concisely and professionally."

welcomeMessageType
enum<string>
default:static

Specifies whether the welcome message is a predefined static message or dynamically generated from a prompt.

Available options:
static,
prompt
Example:

"static"

welcomeMessage
string

The content of the welcome message. If 'welcomeMessageType' is 'static', this contains the exact message shown to the user. If it is 'prompt', this contains the prompt used to generate the welcome message dynamically.

Example:

"Welcome to our service! How can I assist you today?"

agentSettings
object
tools
object[]

Transfers the active voice call to another number